Subject: Re: bug#21373: compile for development version from git fails on OpenBSD
From: [email-masked] (Ludovic Courtès)
To: Jamil Egdemir <[email-masked]>
Cc: [email-masked]
Date: Fri, 30 Oct 2015 17:16:51 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Jamil Egdemir <[email-masked]> skribis:

>> Maybe we could specify a minimum version number in ‘HACKING’ though? I’m
>> not sure which one.
>
> I was just looking through HACKING and it already mentions that "It's
> probably not essential to have the latest version."  I suppose that
> covers it and provides fair notice of the issue but I missed it there.
> Building from source isn't really 'hacking' in my book because it's so
> routine.

Yes, but here you’re building from a Git checkout, which to us means
‘hacking’ in the sense that we provide self-contained tarballs if all
you want is to install Guile.

> Special Instructions For Some Systems =====================================
>
> -- OpenBSD
>
> Since OpenBSD often lags behind other distributions due to security
> audits it's a good idea to upgrade flex to the the latest version
> available at http://flex.sourceforge.net/ before attempting to build
> guile. (e.g. As of OpenBSD 5.6, flex-2.5.39 is known to work while 2.5.4
> is insufficient.)

Rather than going into the specifics, I added a mention of a known-good
version number in f57aba7.

Thank you,
Ludo’.